[xiph-commits] r9627 - in branches/ogg2-arc: . include/ogg src

j at svn.xiph.org j at svn.xiph.org
Tue Jul 26 10:00:48 PDT 2005


Author: j
Date: 2005-07-26 10:00:39 -0700 (Tue, 26 Jul 2005)
New Revision: 9627

Added:
   branches/ogg2-arc/libogg.spec.in
   branches/ogg2-arc/ogg-uninstalled.pc.in
   branches/ogg2-arc/ogg.pc.in
Removed:
   branches/ogg2-arc/libogg.spec
Modified:
   branches/ogg2-arc/Makefile.am
   branches/ogg2-arc/autogen.sh
   branches/ogg2-arc/configure.in
   branches/ogg2-arc/include/ogg/Makefile.am
   branches/ogg2-arc/include/ogg/ogg2.h
   branches/ogg2-arc/ogg.m4
   branches/ogg2-arc/src/Makefile.am
   branches/ogg2-arc/src/ogginternal.h
Log:
- cleanup buildsystem
- fix includes to point to ogg/* and no longer to ogg2/*
- add pkg-config files
- copy autogen.sh from theora-trunk



Modified: branches/ogg2-arc/Makefile.am
===================================================================
--- branches/ogg2-arc/Makefile.am	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/Makefile.am	2005-07-26 17:00:39 UTC (rev 9627)
@@ -1,6 +1,6 @@
 ## Process this file with automake to produce Makefile.in
 
-AUTOMAKE_OPTIONS = foreign dist-zip
+AUTOMAKE_OPTIONS = foreign 1.6 dist-zip
 
 SUBDIRS = src include doc win32 debian
 
@@ -10,6 +10,9 @@
 EXTRA_DIST = README AUTHORS CHANGES COPYING libogg.spec ogg.m4 \
 	macos macosx
 
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = ogg.pc
+
 dist-hook:
 	rm -rf `find $(distdir)/macos -name CVS`
 	rm -rf `find $(distdir)/macosx -name CVS`

Modified: branches/ogg2-arc/autogen.sh
===================================================================
--- branches/ogg2-arc/autogen.sh	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/autogen.sh	2005-07-26 17:00:39 UTC (rev 9627)
@@ -1,6 +1,6 @@
 #!/bin/sh
 # Run this to set up the build system: configure, makefiles, etc.
-# (based on the version in enlightenment's svn)
+# (based on the version in enlightenment's cvs)
 
 package="libogg"
 
@@ -11,6 +11,7 @@
 cd "$srcdir"
 DIE=0
 
+echo "checking for autoconf... "
 (autoconf --version) < /dev/null > /dev/null 2>&1 || {
         echo
         echo "You must have autoconf installed to compile $package."
@@ -19,19 +20,71 @@
         DIE=1
 }
 
-(automake --version) < /dev/null > /dev/null 2>&1 || {
+VERSIONGREP="sed -e s/.*[^0-9\.]\([0-9]\.[0-9]\).*/\1/"
+VERSIONMKINT="sed -e s/[^0-9]//"
+                                                                                
+# do we need automake?
+if test -r Makefile.am; then
+  AM_NEEDED=`fgrep AUTOMAKE_OPTIONS Makefile.am | $VERSIONGREP`
+  if test -z $AM_NEEDED; then
+    echo -n "checking for automake... "
+    AUTOMAKE=automake
+    ACLOCAL=aclocal
+    if ($AUTOMAKE --version < /dev/null > /dev/null 2>&1); then
+      echo "no"
+      AUTOMAKE=
+    else
+      echo "yes"
+    fi
+  else
+    echo -n "checking for automake $AM_NEEDED or later... "
+    for am in automake-$AM_NEEDED automake$AM_NEEDED automake; do
+      ($am --version < /dev/null > /dev/null 2>&1) || continue
+      ver=`$am --version < /dev/null | head -n 1 | $VERSIONGREP | $VERSIONMKINT`
+      verneeded=`echo $AM_NEEDED | $VERSIONMKINT`
+      if test $ver -ge $verneeded; then
+        AUTOMAKE=$am
+        echo $AUTOMAKE
+        break
+      fi
+    done
+    test -z $AUTOMAKE &&  echo "no"
+    echo -n "checking for aclocal $AM_NEEDED or later... "
+    for ac in aclocal-$AM_NEEDED aclocal$AM_NEEDED aclocal; do
+      ($ac --version < /dev/null > /dev/null 2>&1) || continue
+      ver=`$ac --version < /dev/null | head -n 1 | $VERSIONGREP | $VERSIONMKINT`
+      verneeded=`echo $AM_NEEDED | $VERSIONMKINT`
+      if test $ver -ge $verneeded; then
+        ACLOCAL=$ac
+        echo $ACLOCAL
+        break
+      fi
+    done
+    test -z $ACLOCAL && echo "no"
+  fi
+  test -z $AUTOMAKE || test -z $ACLOCAL && {
         echo
         echo "You must have automake installed to compile $package."
-	echo "Download the appropriate package for your system,
-	echo "or get the source from one of the GNU ftp sites"
-	echo "listed in http://www.gnu.org/order/ftp.html"
-        DIE=1
-}
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+        exit 1
+  }
+fi
 
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
+echo -n "checking for libtool... "
+for LIBTOOLIZE in libtoolize glibtoolize nope; do
+  ($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 && break
+done
+if test x$LIBTOOLIZE = xnope; then
+  echo "nope."
+  LIBTOOLIZE=libtoolize
+else
+  echo $LIBTOOLIZE
+fi
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have libtool installed to compile $package."
-	echo "Download the appropriate package for your system,
+	echo "Download the appropriate package for your system,"
 	echo "or get the source from one of the GNU ftp sites"
 	echo "listed in http://www.gnu.org/order/ftp.html"
 	DIE=1
@@ -48,16 +101,22 @@
 
 echo "Generating configuration files for $package, please wait...."
 
-echo "  aclocal $ACLOCAL_FLAGS"
-aclocal $ACLOCAL_FLAGS
-#echo "  autoheader"
-#autoheader
-echo "  libtoolize --automake"
-libtoolize --automake
-echo "  automake --add-missing $AUTOMAKE_FLAGS"
-automake --add-missing $AUTOMAKE_FLAGS 
+echo "  $ACLOCAL $ACLOCAL_FLAGS"
+$ACLOCAL $ACLOCAL_FLAGS || exit 1
+echo "  autoheader"
+autoheader || exit 1
+echo "  $LIBTOOLIZE --automake"
+$LIBTOOLIZE --automake || exit 1
+echo "  $AUTOMAKE --add-missing $AUTOMAKE_FLAGS"
+$AUTOMAKE --add-missing $AUTOMAKE_FLAGS || exit 1
 echo "  autoconf"
-autoconf
+autoconf || exit 1
 
+# this search and replace hack is specifically for MacOSX where automake
+# picks up changelog in debian/ because of filesystem
+# case-not-quite-sensitivity breaking make distcheck
+perl -i -p -e 's/DIST_COMMON = ChangeLog/DIST_COMMON =/g' debian/Makefile.in
+
+cd 
 cd $olddir
-$srcdir/configure "$@" && echo
+$srcdir/configure --enable-maintainer-mode "$@" && echo

Modified: branches/ogg2-arc/configure.in
===================================================================
--- branches/ogg2-arc/configure.in	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/configure.in	2005-07-26 17:00:39 UTC (rev 9627)
@@ -3,6 +3,7 @@
 AC_INIT(src/sync.c)
 
 AM_INIT_AUTOMAKE(libogg,1.99-svn)
+AM_MAINTAINER_MODE
 
 dnl Library versioning
 
@@ -16,6 +17,8 @@
 AC_PROG_CC
 AM_PROG_LIBTOOL
 
+AM_CONFIG_HEADER([config.h])
+
 dnl Set some options based on environment
 
 cflags_save="$CFLAGS"
@@ -289,7 +292,7 @@
 AC_SUBST(CFLAGS)
 AC_SUBST(PROFILE)
 
-AC_OUTPUT(
+AC_OUTPUT([
 Makefile
 src/Makefile
 doc/Makefile
@@ -297,8 +300,9 @@
 include/Makefile
 include/ogg/Makefile
 include/ogg/config_types.h
-include/ogg2/Makefile
-include/ogg2/config_types.h
 win32/Makefile
 debian/Makefile
-)
+libogg.spec
+ogg.pc
+ogg-uninstalled.pc
+])

Modified: branches/ogg2-arc/include/ogg/Makefile.am
===================================================================
--- branches/ogg2-arc/include/ogg/Makefile.am	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/include/ogg/Makefile.am	2005-07-26 17:00:39 UTC (rev 9627)
@@ -4,4 +4,4 @@
 
 includedir = $(prefix)/include/ogg
 
-include_HEADERS = ogg.h os_types.h config_types.h
+include_HEADERS = ogg.h os_types.h config_types.h ogg2.h

Modified: branches/ogg2-arc/include/ogg/ogg2.h
===================================================================
--- branches/ogg2-arc/include/ogg/ogg2.h	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/include/ogg/ogg2.h	2005-07-26 17:00:39 UTC (rev 9627)
@@ -21,7 +21,7 @@
 extern "C" {
 #endif
   
-#include <ogg2/os_types.h>
+#include <ogg/os_types.h>
   
 struct ogg2_buffer;
 struct ogg2_reference;

Deleted: branches/ogg2-arc/libogg.spec
===================================================================
--- branches/ogg2-arc/libogg.spec	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/libogg.spec	2005-07-26 17:00:39 UTC (rev 9627)
@@ -1,95 +0,0 @@
-Name:		libogg
-Version:	1.0
-Release:	1
-Summary:	Ogg Bitstream Library
-
-Group:		System Environment/Libraries
-License:	BSD
-URL:		http://www.xiph.org/
-Vendor:		Xiph.org Foundation <team at xiph.org>
-Source:		http://www.xiph.org/pub/ogg/vorbis/download/%{name}-%{version}.tar.gz
-Prefix:		%{_prefix}
-BuildRoot:	%{_tmppath}/%{name}-%{version}-root
-# We're forced to use an epoch since both Red Hat and Ximian use it in their
-# rc packages
-Epoch:		2
-# Dirty trick to tell rpm that this package actually provides what the
-# last rc and beta was offering
-Provides:	%{name} = %{epoch}:1.0rc3-%{release}
-Provides:	%{name} = %{epoch}:1.0beta4-%{release}
-
-%description
-Libogg is a library for manipulating ogg bitstreams.  It handles
-both making ogg bitstreams and getting packets from ogg bitstreams.
-
-%package devel
-Summary: 	Ogg Bitstream Library Development
-Group: 		Development/Libraries
-Requires: 	libogg = %{version}
-# Dirty trick to tell rpm that this package actually provides what the
-# last rc and beta was offering
-Provides:	%{name}-devel = %{epoch}:1.0rc3-%{release}
-Provides:	%{name}-devel = %{epoch}:1.0beta4-%{release}
-
-
-%description devel
-The libogg-devel package contains the header files, static libraries
-and documentation needed to develop applications with libogg.
-
-%prep
-%setup -q -n %{name}-%{version}
-
-%build
-CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --enable-static
-make
-
-%install
-[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
-
-make DESTDIR=$RPM_BUILD_ROOT install
-
-%clean
-[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
-
-%post
-/sbin/ldconfig
-
-%postun
-/sbin/ldconfig
-
-%files
-%defattr(-,root,root)
-%doc AUTHORS CHANGES COPYING README
-%{_libdir}/libogg.so.*
-
-%files devel
-%defattr(-,root,root)
-%doc doc/index.html
-%doc doc/framing.html
-%doc doc/oggstream.html
-%doc doc/white-ogg.png
-%doc doc/white-xifish.png
-%doc doc/stream.png
-%doc doc/ogg/*.html
-%doc doc/ogg/style.css
-%{_includedir}/ogg/ogg.h
-%{_includedir}/ogg/os_types.h
-%{_includedir}/ogg/config_types.h
-%{_libdir}/libogg.a
-%{_libdir}/libogg.so
-%{_datadir}/aclocal/ogg.m4
-
-%changelog
-* Sun Jul 14 2002 Thomas Vander Stichele <thomas at apestaart.org>
-- update for 1.0 release
-- conform Group to Red Hat's idea of it
-- take out case where configure doesn't exist; a tarball should have it
-
-* Tue Dec 18 2001 Jack Moffitt <jack at xiph.org>
-- Update for RC3 release
-
-* Sun Oct 07 2001 Jack Moffitt <jack at xiph.org>
-- add support for configurable prefixes
-
-* Sat Sep 02 2000 Jack Moffitt <jack at icecast.org>
-- initial spec file created

Copied: branches/ogg2-arc/libogg.spec.in (from rev 9600, trunk/ogg/libogg.spec.in)

Copied: branches/ogg2-arc/ogg-uninstalled.pc.in (from rev 9600, trunk/ogg/ogg-uninstalled.pc.in)

Modified: branches/ogg2-arc/ogg.m4
===================================================================
--- branches/ogg2-arc/ogg.m4	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/ogg.m4	2005-07-26 17:00:39 UTC (rev 9627)
@@ -22,7 +22,7 @@
     OGG_LIBS="-L$prefix/lib"
   fi
 
-  OGG_LIBS="$OGG_LIBS -logg"
+  OGG_LIBS="$OGG_LIBS -logg2"
 
   if test "x$ogg_includes" != "x" ; then
     OGG_CFLAGS="-I$ogg_includes"

Copied: branches/ogg2-arc/ogg.pc.in (from rev 9600, trunk/ogg/ogg.pc.in)
===================================================================
--- trunk/ogg/ogg.pc.in	2005-07-22 17:17:13 UTC (rev 9600)
+++ branches/ogg2-arc/ogg.pc.in	2005-07-26 17:00:39 UTC (rev 9627)
@@ -0,0 +1,14 @@
+# ogg pkg-config file
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: ogg
+Description: ogg is a library for manipulating ogg bitstreams
+Version: @VERSION@
+Requires:
+Conflicts:
+Libs: -L${libdir} -logg2
+Cflags: -I${includedir}

Modified: branches/ogg2-arc/src/Makefile.am
===================================================================
--- branches/ogg2-arc/src/Makefile.am	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/src/Makefile.am	2005-07-26 17:00:39 UTC (rev 9627)
@@ -2,6 +2,8 @@
 
 AUTOMAKE_OPTIONS = foreign
 
+noinst_HEADERS = ogginternal.h mutex.h
+
 INCLUDES = -I$(top_srcdir)/include -I$(top_builddir)/include
 
 lib_LTLIBRARIES = libogg2.la

Modified: branches/ogg2-arc/src/ogginternal.h
===================================================================
--- branches/ogg2-arc/src/ogginternal.h	2005-07-26 13:15:22 UTC (rev 9626)
+++ branches/ogg2-arc/src/ogginternal.h	2005-07-26 17:00:39 UTC (rev 9627)
@@ -18,6 +18,10 @@
 #ifndef _OGG2I_H
 #define _OGG2I_H
 
+#ifdef HAVE_CONFIG_H
+# include "config.h"
+#endif
+
 #include <ogg/ogg2.h>
 #include "mutex.h"
 



More information about the commits mailing list